Bug 240777 - multimedia/livestreamer: is abandoned, replace it on streamlink
Summary: multimedia/livestreamer: is abandoned, replace it on streamlink
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-multimedia mailing list
URL: https://github.com/chrippa/livestreamer
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-23 17:46 UTC by VVD
Modified: 2019-12-04 15:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2019-09-23 17:46:57 UTC
multimedia/livestreamer doesn't work with Twitch anymore: https://github.com/chrippa/livestreamer/issues/1669
And:
> No longer maintained, use streamlink or youtube-dl instead.
© https://github.com/chrippa/livestreamer

https://github.com/streamlink/streamlink is a fork of the livestreamer and work fine with Twitch.
Comment 1 Naram Qashat 2019-09-23 18:37:22 UTC
I actually have a local port of streamlink that works perfectly, but the problem is that I can't submit it to the FreeBSD ports tree until bug #229322 to update py-urllib3 lands in the ports tree, as streamlink relies on a newer py-urllib3 than what is currently in ports. It also relies on a few python libraries that are not in the ports tree yet (I also made local ports for those as well). When the above mentioned bug is finally resolved, I plan to submit my port of streamlink.
Comment 2 VVD 2019-12-02 16:19:42 UTC
(In reply to Naram Qashat from comment #1)
py-urllib3 was updated to 1.25.6: https://svnweb.freebsd.org/changeset/ports/518476

What other (not in ports) python libraries streamlink require?
Comment 3 Naram Qashat 2019-12-02 16:28:43 UTC
It requires py-iso-639, py-iso3166, and for python 2.7, py-backports.shutil_which. I'll submit them later this week, as well as submit streamlink.
Comment 4 Naram Qashat 2019-12-04 15:49:36 UTC
So, it seems that someone else beat me to this and submitted bug #241566 to add it to the ports tree. I think this can be closed.